Summary:	Tools for certain user account management tasks
Summary(de.UTF-8):	Anwender-Tools
Summary(fr.UTF-8):	Outils utilisateur
Summary(pl.UTF-8):	Narzędzia użytkownika
Summary(tr.UTF-8):	Kullanıcı araçları
Name:		usermode
Version:	1.111
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/u/s/usermode/%{name}-%{version}.tar.xz
# Source0-md5:	28ba510fbd8da9f4e86e57d6c31cff29
Source1:	config-util
URL:		https://fedorahosted.org/usermode/
BuildRequires:	gtk+2-devel
BuildRequires:	libblkid-devel
BuildRequires:	libuser-devel
BuildRequires:	pam-devel
BuildRequires:	pwdb-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
#Requires:	nss_db
Patch0:		%{name}-userhelper-format-security.patch
Requires:	util-linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The usermode package contains the userhelper program, which can be
used to allow configured programs to be run with superuser privileges
by ordinary users.

%description -l de.UTF-8
Mehrere grafische Tools, u.a. eines zum Verwalten von Disketten (und
anderen Wechseldatenträgern) und eines zum Ändern der
Finger-Informationen eines Benutzers

%description -l fr.UTF-8
De nombreux outils graphiques, dont un outil pour aider les
utilsateurs à gérer les disquettes (et les autres supports amovibles)
et un outil pour aider les utilisateurs à modifier les informations
les concernant.

%description -l pl.UTF-8
Kilka graficznych narzędzi, w tym program pomagający użytkownikowi
zarządzanie dyskietkami (i innymi wymiennymi nośnikami) także program
pomocny przy zmianie informacji dla programu finger.

%description -l tr.UTF-8
Bu paket, kullanıcıların disketlerin yönetimini yapmak, kişisel finger
bilgilerini değiştirmek gibi işler için kullanabilecekleri araçlar
içerir.

%package gtk
Summary:	Graphical tools for certain user account management tasks
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
The usermode-gtk package contains several graphical tools for users:
userinfo, usermount and userpasswd. Userinfo allows users to change
their finger information. Usermount lets users mount, unmount, and
format file systems. Userpasswd allows users to change their
passwords.

Install the usermode-gtk package if you would like to provide users
with graphical tools for certain account management tasks.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL='install -p' \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/security/console.apps

install -p %{SOURCE1} \
	$RPM_BUILD_ROOT/etc/security/console.apps/config-util

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(4711,root,root) %{_sbindir}/userhelper
%attr(755,root,root) %{_bindir}/consolehelper
%config(noreplace) %verify(not md5 mtime size) /etc/security/console.apps/config-util
%{_mandir}/man8/userhelper.8*
%{_mandir}/man8/consolehelper.8*

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/consolehelper-gtk
%attr(755,root,root) %{_bindir}/pam-panel-icon
%attr(755,root,root) %{_bindir}/userinfo
%attr(755,root,root) %{_bindir}/usermount
%attr(755,root,root) %{_bindir}/userpasswd
%{_mandir}/man1/pam-panel-icon.1*
%{_mandir}/man1/userinfo.1*
%{_mandir}/man1/usermount.1*
%{_mandir}/man1/userpasswd.1*
%{_mandir}/man8/consolehelper-gtk.8*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_pixmapsdir}/keys.xpm
%changelog
* Fri Mar 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/usermode.git;a=log;h=master

* Fri Mar 29 2013 Lukasz Glebicki <blekot@pld-linux.org> 3806cad
- up to 1.111

* Sat Jan 26 2013 Lukasz Glebicki <blekot@pld-linux.org> bfcda32
- up to 1.111
- added usermode-userhelper-format-security.patch against error: format not a string literal and no format arguments [-Werror=format-security]
- $RPM_BUILD_ROOT/etc/security/console.app are not included by default

* Sat Mar 03 2012 Elan Ruusamäe <glen@pld-linux.org> 8c1abb2
- up to 1.108; package config-util for system-config-keyboard

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 71c5600
- outdated

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> f648adb
- up to 1.107, add -gtk subpackage

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 83889a5
- dropped pre-cvs changelog

* Mon Oct 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> db218d5
- release 4

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> a96f8d1
- URLs (only newer versions there)

* Mon Mar 31 2008 Szymon Siwek <sls@pld-linux.org> 9f023a2
- fix for parallel building

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fd4fe18
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bace105
- converted to UTF-8

* Thu Nov 16 2006 darekr <darekr@pld-linux.org> 90eb473
- pass CC

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> a128223
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 15756ad
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sat Apr 16 2005 darekr <darekr@pld-linux.org> 9c821b3
- cosmetics, _applnkdir -> _desktopdir

* Sat Dec 27 2003 ankry <ankry@pld-linux.org> 9438cb8
- cosmetics

* Sat Dec 27 2003 yoshi <yoshi@pld-linux.org> cc67f37
- Added propably missing R: nss_db (or nss_db-devel). It is now commented,
  until nss_db will build properly.

* Sat Dec 27 2003 yoshi <yoshi@pld-linux.org> 9b0640a
- Fixed %install and %files, it builds, seems not to work correctly anyway.

* Sat Dec 27 2003 yoshi <yoshi@pld-linux.org> 55b55c2
- Added br: pam-devel gtk+-devel pwdb-devel
- Todo: %install, %files

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 80300d4
- massive attack: source-md5

